﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Runtime.CompilerServices;

namespace WpfApp1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
           
            InitializeComponent();
            this.DataContext = this;

            this.Locations.Add("Paris");
            this.Locations.Add("Berlin");
            this.Locations.Add("London");
            this.Locations.Add("New York");
        }

        private ObservableCollection<string> _Locations = new ObservableCollection<string>();
        public ObservableCollection<string> Locations
        {
            get { return this._Locations; }
            set
            {
                this._Locations = value;
                OnPropertyChanged();
            }
        }

        private ObservableCollection<object> _SelectedLocations = new ObservableCollection<object>();
        public ObservableCollection<object> SelectedLocations
        {
            get { return this._SelectedLocations; }
            set
            {
                this._SelectedLocations = value;
                OnPropertyChanged();
            }
        }



        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged.Invoke(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }

}
